import React__default from 'react';
import { Result } from '../result/result.js';
import { useTextStyles } from '@rescui/typography';
import classNames from 'classnames';
import { isMacOs } from '../../is-macos.js';
import styles from './list.module.pcss.js';

const ResultsList = ({
  results,
  searchString,
  toggleFullSearch
}) => {
  const textCn = useTextStyles();
  return React__default.createElement("div", {
    className: styles.results,
    "data-test": 'quick-search-results'
  }, results.length ? React__default.createElement(React__default.Fragment, null, React__default.createElement("div", {
    className: styles.topBar
  }, React__default.createElement("div", {
    className: classNames(textCn('rs-text-3'), styles.searchString)
  }, "Showing results for \u00AB", searchString, "\u00BB"), React__default.createElement("button", {
    className: styles.advancedSearch,
    onClick: toggleFullSearch,
    "data-test": 'advanced-search-button'
  }, React__default.createElement("div", {
    className: classNames(textCn('rs-text-3', {
      hardness: 'hard'
    }))
  }, "Advanced search ", isMacOs() ? '⌘K' : 'Ctrl+K'))), results.map((searchResult, index) => React__default.createElement(Result, {
    key: index,
    hit: searchResult
  }))) : null);
};

export { ResultsList };
